---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: cert-manager-webhook-cloudns
  namespace: core-cert-manager
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: cert-manager-webhook-cloudns

  ingress:
  - fromEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "8443"

  egress:
  - toEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "6443"
        protocol: TCP

  # cloudns api
  - toFQDNs:
    - matchName: "api.cloudns.net"
    toPorts:
    - ports:
      - port: "443"
        protocol: TCP
